import request from '@/utils/request'

// 查询检测仪检查记录列表
export function listTester(query) {
  return request({
    url: '/commonuse/tester/list',
    method: 'get',
    params: query
  })
}

// 查询检测仪检查记录详细
export function getTester(id) {
  return request({
    url: '/commonuse/tester/' + id,
    method: 'get'
  })
}

// 新增检测仪检查记录
export function addTester(data) {
  return request({
    url: '/commonuse/tester',
    method: 'post',
    data: data
  })
}

// 修改检测仪检查记录
export function updateTester(data) {
  return request({
    url: '/commonuse/tester',
    method: 'put',
    data: data
  })
}

// 删除检测仪检查记录
export function delTester(id) {
  return request({
    url: '/commonuse/tester/' + id,
    method: 'delete'
  })
}
